> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ringbee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# PDF Watermark

> Add a text watermark to PDF pages

<RequestExample>
  ```json Example Request theme={null}
  {
    "input": "https://example.com/document.pdf",
    "text": "CONFIDENTIAL",
    "opacity": 0.3
  }
  ```

  ```bash File Upload theme={null}
  curl -X POST https://api.ringbee.dev/v1/document/pdf-watermark \
    -H "X-API-Key: YOUR_API_KEY" \
    -F "file=@document.pdf" \
    -F "text=CONFIDENTIAL" \
    -F "opacity=0.3"
  ```
</RequestExample>

| Param   | Type   | Description                                              |
| ------- | ------ | -------------------------------------------------------- |
| text    | string | Watermark text to overlay on each page                   |
| opacity | number | Watermark opacity from 0 (invisible) to 1 (fully opaque) |


## OpenAPI

````yaml POST /v1/document/pdf-watermark
openapi: 3.0.3
info:
  title: MediAPI
  description: >-
    Media processing API — video, audio, image, and document transformations via
    simple REST calls.
  version: 1.0.0
servers:
  - url: https://api.ringbee.dev
    description: Production
security:
  - apiKey: []
paths:
  /v1/document/pdf-watermark:
    post:
      tags:
        - Document
      summary: PDF Watermark
      description: Add a text watermark to PDF pages
      operationId: documentPdfWatermark
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - input
              properties:
                input:
                  type: string
                  description: Input file URL
                text:
                  type: string
                  description: Watermark text to overlay on each page
                opacity:
                  type: number
                  description: Watermark opacity from 0 (invisible) to 1 (fully opaque)
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
          multipart/form-data:
            schema:
              type: object
              required:
                - file
              properties:
                file:
                  type: string
                  format: binary
                  description: Upload file directly
                text:
                  type: string
                  description: Watermark text to overlay on each page
                opacity:
                  type: number
                  description: Watermark opacity from 0 (invisible) to 1 (fully opaque)
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
      responses:
        '202':
          description: Job accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Usage limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    JobResponse:
      type: object
      properties:
        id:
          type: string
          example: job_abc123
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
            - cancelled
          example: pending
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key

````